> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Place Order

> Submit a new order for a specific trading instrument.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/orders
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/orders:
    post:
      tags:
        - Orders
      summary: Place Order
      description: Submit a new order for a specific trading instrument.
      operationId: post_v1-orders-a589489acdda5ede406f167b78f8f45c
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlaceOrderRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_PlaceOrderResponse'
      deprecated: false
components:
  schemas:
    PlaceOrderRequest:
      title: PlaceOrderRequest
      type: object
      required:
        - instType
        - orderType
        - qty
        - side
        - symbol
      properties:
        cancelAt:
          type: integer
          format: int64
          nullable: true
        clientOrderId:
          type: string
          nullable: true
        instType:
          $ref: '#/components/schemas/InstrumentType'
        orderType:
          $ref: '#/components/schemas/OrderType'
        postOnly:
          type: boolean
          nullable: true
        px:
          type: string
          nullable: true
        qty:
          type: string
        reduceOnly:
          type: boolean
          nullable: true
        side:
          $ref: '#/components/schemas/OrderSide'
        symbol:
          type: string
        timeInForce:
          allOf:
            - $ref: '#/components/schemas/TimeInForce'
          nullable: true
        triggerPx:
          type: string
          nullable: true
        unit:
          allOf:
            - $ref: '#/components/schemas/BtcUnits'
          nullable: true
    ApiResponse_for_PlaceOrderResponse:
      title: ApiResponse_for_PlaceOrderResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/PlaceOrderResponse'
        error:
          type: boolean
    InstrumentType:
      type: string
      enum:
        - perpetual
        - spot
        - btc
        - digital
        - stock
        - index
    OrderType:
      type: string
      enum:
        - limit
        - market
        - stop
        - stoplimit
        - take
        - takelimit
    OrderSide:
      type: string
      enum:
        - buy
        - sell
    TimeInForce:
      type: string
      enum:
        - gtc
        - ioc
    BtcUnits:
      type: string
      enum:
        - sats
        - btc
    PlaceOrderResponse:
      type: object
      required:
        - orderId
      properties:
        orderId:
          type: string
          format: uuid
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````